Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.blender.org/blender.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorCampbell Barton <ideasman42@gmail.com>2011-10-23 21:52:20 +0400
committerCampbell Barton <ideasman42@gmail.com>2011-10-23 21:52:20 +0400
commit4a04f7206914a49f5f95adc5eb786237f1a9f547 (patch)
tree78aed2fa481f972fac0965f814bebebe9d71ae65 /extern/Eigen3/eigen-update.sh
parentf1cea89d99f0c80bdccd2ba1359142b5ff14cdb9 (diff)
remove $Id: tags after discussion on the mailign list: http://markmail.org/message/fp7ozcywxum3ar7n
Diffstat (limited to 'extern/Eigen3/eigen-update.sh')
-rwxr-xr-xextern/Eigen3/eigen-update.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/extern/Eigen3/eigen-update.sh b/extern/Eigen3/eigen-update.sh
new file mode 100755
index 00000000000..7be67890173
--- /dev/null
+++ b/extern/Eigen3/eigen-update.sh
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+echo "*** EIGEN#-HG Update utility"
+echo "*** This gets a new eigen3-hg tree and adapts it to blenders build structure"
+echo "*** Warning! This script will wipe all the header file"
+
+if [ "x$1" = "x--i-really-know-what-im-doing" ] ; then
+ echo Proceeding as requested by command line ...
+else
+ echo "*** Please run again with --i-really-know-what-im-doing ..."
+ exit 1
+fi
+
+# get the latest revision from repository.
+hg clone http://bitbucket.org/eigen/eigen
+if [ -d eigen ]
+then
+ cd eigen
+ # put here the version you want to use
+ hg up 3.0
+ rm -f `find Eigen/ -type f -name "CMakeLists.txt"`
+ cp -r Eigen ..
+ cd ..
+ rm -rf eigen
+else
+ echo "Did you install Mercurial?"
+fi
+